osl::search::CompactRecord Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | List of all members
osl::search::CompactRecord Struct Reference
Collaboration diagram for osl::search::CompactRecord:
[legend]

## Public Types
enum | ValueType { Exact, UpperBound, LowerBound }

## Public Member Functions
| CompactRecord ()
template<Player P>
bool | highFail (int height, int threshold) const
template<Player P>
bool | lowFail (int height, int threshold) const

## Public Attributes
Move | best_move
int | value
int | limit
ValueType | type

## Detailed Description

Definition at line 57 of file alphaBeta3.cc.

## Member Enumeration Documentation

enum osl::search::CompactRecord::ValueType

Enumerator
Exact |
UpperBound |
LowerBound |

Definition at line 61 of file alphaBeta3.cc.

## Constructor & Destructor Documentation

osl::search::CompactRecord::CompactRecord | ( | ) |  |
| inline

Definition at line 63 of file alphaBeta3.cc.

## Member Function Documentation

template<Player P>

bool osl::search::CompactRecord::highFail | ( | int | height,
|  | int | threshold
| ) |  | const
| inline

Definition at line 67 of file alphaBeta3.cc.

References osl::eval::betterThan(), Exact, LowerBound, threshold, type, and value.

template<Player P>

bool osl::search::CompactRecord::lowFail | ( | int | height,
|  | int | threshold
| ) |  | const
| inline

Definition at line 73 of file alphaBeta3.cc.

References osl::eval::betterThan(), Exact, threshold, type, UpperBound, and value.

## Member Data Documentation

Move osl::search::CompactRecord::best_move

Definition at line 59 of file alphaBeta3.cc.

Referenced by osl::search::AlphaBeta3::presearch(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::CompactRecord::limit

Definition at line 60 of file alphaBeta3.cc.

Referenced by osl::search::AlphaBeta3::searchRoot().

ValueType osl::search::CompactRecord::type

Definition at line 62 of file alphaBeta3.cc.

Referenced by highFail(), lowFail(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::CompactRecord::value

Definition at line 60 of file alphaBeta3.cc.

Referenced by highFail(), lowFail(), and osl::search::AlphaBeta3::searchRoot().

The documentation for this struct was generated from the following file:

- alphaBeta3.cc